Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Static Private Attributes | List of all members
wowf.models.challenge.BenchPressChallenge Class Reference
Inheritance diagram for wowf.models.challenge.BenchPressChallenge:
Collaboration diagram for wowf.models.challenge.BenchPressChallenge:

## Public Member Functions
def | description
def | __unicode__
Public Member Functions inherited from wowf.models.challenge.WeightChallenge
def | create
def | calculate_user_weight
| How much weight this user needs to lift for this competition.
Public Member Functions inherited from wowf.models.challenge._Challenge
def | id
Public Member Functions inherited from wowf.models.challenge.Challenge
def | add_competitor
| Add the user to the list of competitors.
def | remove_competitor
| Remove the user from the list of competitors.
def | is_device_challenge
| Check if the challenge requires the use of a heart rate device.
def | is_weight_challenge
| Check if the challenge is a weight lifting challenge.
def | is_speed_challenge
| Check if the challenge is a speed challenge.
def | is_endurance_challenge
| Check if the challenge is an endurance challenge.
def | is_bench_press_challenge
| Check if the challenge is a bench press challenge.
def | is_squat_challenge
| Check if the challenge is a squat challenge.
def | is_completed
| Check if both competitors have uploaded a workout.
def | user_is_winner
| Check if given user is the winner of the challenge.
Public Member Functions inherited from wowf.models.meta.Base
def | __str__
def | __repr__
def | get_by_id
def | create
def | delete
Public Member Functions inherited from wowf.lib.fulltext.FulltextBase
def | index_type
def | index_id
def | index_data
def | add_index
| Add a fulltext index for this instance.
def | delete_index
| Delete the fulltext index for this instance.
def | update_index
| Update the fulltext index for this instance.

## Static Private Attributes
string | __tablename__ = 'bench_press_challenges'
dictionary | __mapper_args__ = {'polymorphic_identity': ChallengeType.lookup_data.index('bench_press') + 1}

## Additional Inherited Members
Static Public Attributes inherited from wowf.models.challenge.WeightChallenge
tuple | percentage = Column(Numeric(3, 2), nullable=False, doc='percentage of body weight')
Static Public Attributes inherited from wowf.models.challenge.Challenge
tuple | id = Column(Integer(unsigned=True), primary_key=True)
tuple | user_id = Column(Integer(unsigned=True), ForeignKey('users.id'), nullable=False)
tuple | challenge_type_id
tuple | created_at = Column(DateTime, nullable=False, default=current_timestamp)
tuple | competitors
Properties inherited from wowf.models.challenge.Challenge
| creator = property(_get_creator, _set_creator)

## Detailed Description

Definition at line 199 of file challenge.py.

## Member Function Documentation

def wowf.models.challenge.BenchPressChallenge.__unicode__ | ( |  | self | ) |

Reimplemented from wowf.models.meta.Base.

Definition at line 209 of file challenge.py.

def wowf.models.challenge.BenchPressChallenge.description | ( |  | self | ) |

Definition at line 205 of file challenge.py.

## Member Data Documentation

dictionary wowf.models.challenge.BenchPressChallenge.__mapper_args__ = {'polymorphic_identity': ChallengeType.lookup_data.index('bench_press') + 1}
| static private

Definition at line 202 of file challenge.py.

string wowf.models.challenge.BenchPressChallenge.__tablename__ = 'bench_press_challenges'
| static private

Definition at line 201 of file challenge.py.

The documentation for this class was generated from the following file:

- wowf/models/challenge.py